From 5f0f7e814910805c2e399e49a27f7849880b4319 Mon Sep 17 00:00:00 2001
From: Bhagyashree <bhagyashree.iitg@gmail.com>
Date: Mar 12 2016 21:10:01 +0000
Subject: [PATCH 314/1001] Updated Design for github PR widget(like Pagure PR widget)


---

diff --git a/hubs/widgets/github_pr.py b/hubs/widgets/github_pr.py
index 6a33091..ff890aa 100755
--- a/hubs/widgets/github_pr.py
+++ b/hubs/widgets/github_pr.py
@@ -17,47 +17,52 @@ log = logging.getLogger(__name__)
 chrome = panel("Github: Pull Requests")
 
 template = jinja2.Template("""
-  <br />
-  {% for i in range(display_number) %}
-    <div>
-      <table class="table-responsive table-condensed">
-        <tr>
-          <td valign="top" class="panel-heading">
-            <b>#{{ pulls[i]['number'] }}</b>
-          </td>
-          <td width="300px">
-            <b>{{ pulls[i]['title'] }}</b>
-          </td>
-        </tr>
-      </table>
-      <table class="table-responsive table-condensed">
-        <tr>
-          <td width="300px">
-            <font size="2">
-              <i>Opened by <a href="https://github.com/{{ pulls[i]['user'] }}" target="_blank">{{ pulls[i]['user'] }}</a></i>
-              {% if pulls[i]['assignee']|string() == "None" %}
-                <br /><i>Unclaimed</i>
-              {% else %}
-                 <br /><i>Assigned by <a href="https://github.com/{{ pulls[i]['assignee'] }}" target="_blank">{{ pulls[i]['assignee'] }}</a></i>
-              {% endif %}
-            </font>
-          </td>
-          <td>
-             <a href="{{ pulls[i]['url'] }}" target="_blank">
-               <button type="button" class="btn btn-default" aria-label="Left Align">
-                 <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
-               </button>
-             </a>
-          </td>
-        </tr>
-      </table>
-    </div>
-    {% endfor %}
-    {% if more != 0 %}
-    <div class="row">
-      <a href="https://github.com/{{ organization }}" target="_blank"><center>and {{ more }} more</center></a>
-    </div>
-    {% endif %}
+<a class="btn btn-success" target="_blank"
+    href="https://github.com/{{ organization }}" >
+  Organization Github Page
+</a>
+<hr/>
+
+  {% for pr in pulls[:display_number] %}
+    <li class="media">
+      <div class="media-left">
+        <a  href="{{ pr['url'] }}" 
+            target="_blank">
+        <span class="label label-default">#{{ pr['number'] }}</span>
+        </a>
+      </div>
+      <div class="media-body">
+        <h4 class="media-heading">
+          {{ organization }} -
+          <span title="{{ pr['title'] }}">
+            {{ pr['title'] }} {% if
+              pr['title'] | length > 45 %} ... {% endif %}
+          </span>
+        </h4>
+        Opened by:
+          <a href="https://github.com/{{ pr['user'] }}" 
+              target="_blank">
+            {{ pr['user'] }}
+          </a>
+        --
+        {% if pr['assignee'] %}
+          Assigned to:
+          <a href="https://github.com/{{ pr['assignee'] }}"
+              target="_blank">
+            {{ pr['assignee'] }}
+          </a>
+        {% else %}
+          <span class="text-muted">Unassigned</span>
+        {% endif %}
+      </div>
+    </li>
+  {% endfor %}
+  {% if all_pr | length > display_number %}
+  <li>
+    And {{ all_pr | length - display_number }} more ...
+  </li>
+  {% endif %}
+</ul>
 """)
 
 

